pip无法更新

原创 2016年08月29日 23:52:25

我之前使用的是python2.7 然后pip的版本是7.0.1 每次使用pip install **安装包的时候总是会提示 You are using pip version 7.0.1, however version 8.1.2 is available.You should consider upgrading via the 'pip install --upgrade pip' command.

但是运行 'pip install --upgrade pip' 命令无法更新

我尝试了好多方法都失败了。

我又通过使用easy_install指令安装成功了: 
首先进入到easy_install的目录 例如G:\Python\Scripts 
然后通过指令 easy_install.exe pip==8.1.2  最后安装成功。


版权声明:本文为博主原创文章,未经博主允许不得转载。

相关文章推荐

Python: Win7下使用 pip install lxml 无法安装lxml

Building wheels for collected packages: lxml   Running setup.py bdist_wheel for lxml ... error   Com...

用Anaconda安装Python后无法用pip安装包(如prptobuf)

安装Anaconda后,想用pip命令和conda命令安装protobuf包,出现如下错误: 解决方法: 1.      安装Anaconda-64位版本 2.      下载ez_s...

Linux修改系统以及pip更新源

你是否跟我一样在刚看时接触Linux时被更新源问题搞得晕头转向,不同的Linux更新源配置也是不一样的

Python2.7.10以上pip更新及其他包安装

Python2.7还是一个比较稳定的版本,目前80%以上的公司都在使用python2.7的版本。他不会在安装的时候报编码错误之类的问题。          但是从官网下载的Python上面自...

Ubantu下pip 安装与更新

安装 pip2 $ sudo apt-get install Python-pip python-dev build-essential wukai@wukai:~$ sudo apt ...

关于Python安装和pip更新过程中遇到的问题及解决方案

首先参照廖雪峰老师的Python教学官网上的安装流程安装了python2.7.11,结果发现没有成功安装pip(python安装路径下没有scripts文件夹),虽然按他的提示在安装过程中确定安装了p...

pip-9.0.1和ez_setup.py

  • 2017-09-19 16:22
  • 1.14MB
  • 下载

python pip工具

  • 2017-09-17 18:10
  • 916KB
  • 下载

centos 使用pip 安装mysqldb错误

在centos-6.4上pip install mysql-python,报错如下[sentry@kjtest111 mysql-python]$ pip install mysql-python ...

pip windows

  • 2017-09-06 18:16
  • 1.14MB
  • 下载
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:深度学习:神经网络中的前向传播和反向传播算法推导
举报原因:
原因补充:

(最多只允许输入30个字)